/**
 * OnErrorType.java
 *
 * File generated from the core::OnErrorType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OnErrorType.
 *
 */

@XmlType(name = "OnErrorType")
@XmlEnum
@XmlRootElement(name = "OnErrorType")
public enum OnErrorType {
	@XmlEnumValue("resume")
	RESUME("resume"),
	@XmlEnumValue("exit")
	EXIT("exit");
	
	private final String value;

    OnErrorType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static OnErrorType fromValue(String v) {
        for (OnErrorType c: OnErrorType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}